    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ----------------
    028 * ParamChecks.java
    029 * ----------------
    030 * (C) Copyright 2011, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 16-Oct-2011 : Version 1 (DG);
    038 *
    039 */
    040
    041package org.jfree.chart.util;
    042
    043/**
    044 * A utility class for checking parameters.
    045 *
    046 * @since 1.0.14
    047 */
    048public class ParamChecks {
    049
    050    /**
    051     * Throws an <code>IllegalArgumentException</code> if the supplied
    052     * <code>param</code> is <code>null</code>.
    053     *
    054     * @param param  the parameter to check (<code>null</code> permitted).
    055     * @param name  the name of the parameter (to use in the exception message
    056     *     if <code>param</code> is <code>null</code>).
    057     *
    058     * @throws IllegalArgumentException  if <code>param</code> is
    059     *     <code>null</code>.
    060     *
    061     * @since 1.0.14
    062     */
    063    public static void nullNotPermitted(Object param, String name) {
    064        if (param == null) {
    065            throw new IllegalArgumentException("Null '" + name + "' argument");
    066        }
    067    }
    068}